(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     30036,        899]
NotebookOptionsPosition[     28883,        854]
NotebookOutlinePosition[     29218,        869]
CellTagsIndexPosition[     29175,        866]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "flow", " ", "in", " ", "the", " ", "safe", " ", "system", " ", "state"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"cb", ":=", 
     RowBox[{"Rationalize", "[", "50", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
     "CONSTANT", " ", "USED", " ", "TO", " ", "APPOXIMATE", " ", "THE", " ", 
      "INFLUENCE", " ", "OF", " ", "MUD", " ", "ON", " ", "THE", " ", "BIT", 
      " ", 
      RowBox[{"(", 
       RowBox[{"Nms", "/", "rad"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"c_", 
        RowBox[{
         RowBox[{"{", "b", "}"}], "\\", "dot"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\\", "phi_"}], 
          RowBox[{"{", "b", "}"}]}], "}"}]}], ")"}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"kt", ":=", 
     RowBox[{"Rationalize", "[", "861.5336", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"TORSIONAL", " ", "STIFFNESS", " ", 
      RowBox[{"(", 
       RowBox[{"Nm", "/", "rad"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Jr", ":=", 
     RowBox[{"Rationalize", "[", "2212", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"TOP", " ", "ROTARY", " ", "INERTIA", " ", 
      RowBox[{"(", 
       RowBox[{"kgm", "^", "2"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Jb", ":=", 
     RowBox[{"Rationalize", "[", "471.9698", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"BIT", " ", "ROTARY", " ", "INERTIA", " ", 
      RowBox[{"(", 
       RowBox[{"kgm", "^", "2"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Rb", ":=", 
     RowBox[{"Rationalize", "[", "0.155575", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"RADIUS", " ", "OF", " ", "THE", " ", "BIT", " ", 
      RowBox[{"(", "m", ")"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ct", ":=", 
     RowBox[{"Rationalize", "[", "172.3067", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"TORSIONAL", " ", "DAMPING", " ", 
      RowBox[{"(", 
       RowBox[{"Nms", "/", "rad"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"cr", ":=", 
     RowBox[{"Rationalize", "[", "425", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "CONSTANT", " ", "USED", " ", "TO", " ", "CALCULATE", " ", "THE", " ", 
       "VISCOUS", " ", "DAMPING", " ", "TORQUE", " ", "OF", " ", "THE", " ", 
       "TOP", " ", "ROTARY", " ", "SYSTEM", " ", 
       RowBox[{"(", 
        RowBox[{"Nms", "/", "rad"}], ")"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"i", ".", "e", ".", "T_"}], 
        RowBox[{"{", "r", "}"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\\", "dot"}], 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\\", "phi_"}], 
            RowBox[{"{", "r", "}"}]}], "}"}]}], ")"}]}], "=", 
       RowBox[{"c_", 
        RowBox[{
         RowBox[{"{", "r", "}"}], "\\", "dot"}], " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\\", "phi_"}], 
          RowBox[{"{", "r", "}"}]}], "}"}]}]}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"mucb", ":=", 
     RowBox[{"Rationalize", "[", "0.5", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "STATIC", " ", "FRICTION", " ", "COEFFICIENT", " ", "ASSOCIATED", " ", 
       "WITH", " ", "THE", " ", "BIT", " ", "INERTIA", " ", "Jb"}], ",", " ", 
      
      RowBox[{
       RowBox[{"\\", "mu_"}], 
       RowBox[{
        RowBox[{"{", "sb", "}"}], "\\", "in"}], " ", 
       RowBox[{"(", 
        RowBox[{"0", ",", "1"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"musb", ":=", 
     RowBox[{"Rationalize", "[", "0.8", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "COULOMB", " ", "FRICTION", " ", "COEFFICIENT", " ", "ASSOCIATED", " ", 
       "WITH", " ", "THE", " ", "BIT", " ", "INERTIA", " ", "Jb"}], ",", " ", 
      
      RowBox[{
       RowBox[{"\\", "mu_"}], 
       RowBox[{
        RowBox[{"{", "cb", "}"}], "\\", "in"}], " ", 
       RowBox[{"(", 
        RowBox[{"0", ",", "1"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"delta", ":=", 
     RowBox[{"Rationalize", "[", "0.000001", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "IF", " ", "THE", " ", "VELOCITY", " ", "IS", " ", "LESS", " ", "THAN", 
       " ", "delta"}], ",", 
      RowBox[{
      "THE", " ", "SYSTEM", " ", "CAN", " ", "EITHER", " ", "BE", " ", 
       "STUCK", " ", "OR", " ", "IN", " ", "TRANSITION"}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"gammab", ":=", 
     RowBox[{"Rationalize", "[", "0.9", "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "CONSTANT", " ", "USED", " ", "TO", " ", "CALCULATE", " ", "THE", " ", 
       "FRICTION", " ", "TORQUE"}], ",", " ", 
      RowBox[{
       RowBox[{"\\", "gamma_"}], 
       RowBox[{
        RowBox[{"{", "b", "}"}], "\\", "in"}], " ", 
       RowBox[{"(", 
        RowBox[{"0", ",", "1"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"nuf", ":=", 
     RowBox[{"Rationalize", "[", "1", "]"}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "CONSTANT", " ", "USED", " ", "TO", " ", "CALCULATE", " ", "THE", " ", 
      "FRICTION", " ", "TORQUE"}], ",", 
     RowBox[{
      RowBox[{"\\n", "u_", 
       RowBox[{"{", "f", "}"}]}], ">", "0"}]}], "*)"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"flowExp", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x1", "'"}], "[", "t", "]"}], "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"ct", "+", "cr"}], ")"}]}], "*", 
            RowBox[{"x1", "[", "t", "]"}]}], "-", 
           RowBox[{"kt", "*", 
            RowBox[{"x2", "[", "t", "]"}]}], "+", 
           RowBox[{"ct", "*", 
            RowBox[{"x3", "[", "t", "]"}]}], "+", "u"}], ")"}], "/", "Jr"}]}],
        " ", ",", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"x2", "'"}], "[", "t", "]"}], "=", 
        RowBox[{
         RowBox[{"x1", "[", "t", "]"}], "-", 
         RowBox[{"x3", "[", "t", "]"}]}]}], " ", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x3", "'"}], "[", "t", "]"}], "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"ct", "*", 
            RowBox[{"x1", "[", "t", "]"}]}], "+", 
           RowBox[{"kt", "*", 
            RowBox[{"x2", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"ct", "+", "cb"}], ")"}], "*", 
            RowBox[{"x3", "[", "t", "]"}]}], "-", 
           RowBox[{"Wob", "*", "Rb", "*", 
            RowBox[{"(", 
             RowBox[{"mucb", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"musb", "-", "mucb"}], ")"}], "*", " ", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"-", "gammab"}], "*", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"x3", "[", "t", "]"}], ")"}], "/", "nuf"}]}], 
                "]"}]}]}], " ", ")"}]}]}], ")"}], "/", "Jb"}]}]}], " ", "}"}],
      "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x1", "[", "t", "]"}], "\[Rule]", "X1"}], ",", " ", 
       RowBox[{
        RowBox[{"x2", "[", "t", "]"}], "\[Rule]", "X2"}], ",", " ", 
       RowBox[{
        RowBox[{"x3", "[", "t", "]"}], "\[Rule]", "X3"}]}], 
      "}"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.65590034044995*^9, 3.655900370627371*^9}, {
  3.675790520200494*^9, 3.675790522899704*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"u", "-", 
     FractionBox[
      RowBox[{"5973067", " ", "X1"}], "10000"], "-", 
     FractionBox[
      RowBox[{"1076917", " ", "X2"}], "1250"], "+", 
     FractionBox[
      RowBox[{"1723067", " ", "X3"}], "10000"]}], "2212"], ",", 
   RowBox[{"X1", "-", "X3"}], ",", 
   FractionBox[
    RowBox[{"5000", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"6223", " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["1", "2"], "+", 
            RowBox[{
             FractionBox["3", "10"], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "9"}], " ", "X3"}], "/", "10"}]]}]}], ")"}], " ",
           "Wob"}], "40000"]}], "+", 
       FractionBox[
        RowBox[{"1723067", " ", "X1"}], "10000"], "+", 
       FractionBox[
        RowBox[{"1076917", " ", "X2"}], "1250"], "-", 
       FractionBox[
        RowBox[{"2223067", " ", "X3"}], "10000"]}], ")"}]}], "2359849"]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.655900343531843*^9, 3.65590037137682*^9}, 
   3.656062547925743*^9, 3.6757904792947474`*^9, 3.675790525390514*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"V", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"284395871122536387912187845561903200000000", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", 
         SubscriptBox["x", "1"]}], ")"}], "2"]}], "+", 
     RowBox[{"66369945765512499444982521316622179562500", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["390596875", "81845692"]}], "+", 
         SubscriptBox["x", "2"]}], ")"}], "2"]}], "+", 
     RowBox[{"22120000", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3377", "760"]}], "+", 
        SubscriptBox["x", "1"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3566063568109643805684107471543750", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            FractionBox["390596875", "81845692"]}], "+", 
           SubscriptBox["x", "2"]}], ")"}]}], "+", 
        RowBox[{"3829910656215569906228019769153963", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            FractionBox["3377", "760"]}], "+", 
           SubscriptBox["x", "3"]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"4207440539010545601749593819995510037500", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["390596875", "81845692"]}], "+", 
        SubscriptBox["x", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3377", "760"]}], "+", 
        SubscriptBox["x", "3"]}], ")"}]}], "+", 
     RowBox[{"55617872141545061483459903316695901369087", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", 
         SubscriptBox["x", "3"]}], ")"}], "2"]}]}], ")"}], "/", 
   "230425745267691158203090024928535550000"}]}]], "Input",
 CellChangeTimes->{{3.655900240223021*^9, 3.655900240581821*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"284395871122536387912187845561903200000000", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3377", "760"]}], "+", 
        SubscriptBox["x", "1"]}], ")"}], "2"]}], "+", 
    RowBox[{"66369945765512499444982521316622179562500", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["390596875", "81845692"]}], "+", 
        SubscriptBox["x", "2"]}], ")"}], "2"]}], "+", 
    RowBox[{"22120000", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["3377", "760"]}], "+", 
       SubscriptBox["x", "1"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3566063568109643805684107471543750", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["390596875", "81845692"]}], "+", 
          SubscriptBox["x", "2"]}], ")"}]}], "+", 
       RowBox[{"3829910656215569906228019769153963", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["3377", "760"]}], "+", 
          SubscriptBox["x", "3"]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"4207440539010545601749593819995510037500", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["390596875", "81845692"]}], "+", 
       SubscriptBox["x", "2"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["3377", "760"]}], "+", 
       SubscriptBox["x", "3"]}], ")"}]}], "+", 
    RowBox[{"55617872141545061483459903316695901369087", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3377", "760"]}], "+", 
        SubscriptBox["x", "3"]}], ")"}], "2"]}]}], ")"}], "/", 
  "230425745267691158203090024928535550000"}]], "Output",
 CellChangeTimes->{3.655900241194976*^9, 3.656062548225016*^9, 
  3.675790479384385*^9, 3.6757905256142406`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GV", " ", "=", 
  RowBox[{
   RowBox[{"Grad", "[", 
    RowBox[{"V", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "1"], ",", 
       SubscriptBox["x", "2"], ",", 
       SubscriptBox["x", "3"]}], "}"}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SubscriptBox["x", "1"], "\[Rule]", "X1"}], ",", " ", 
     RowBox[{
      SubscriptBox["x", "2"], "\[Rule]", "X2"}], ",", " ", 
     RowBox[{
      SubscriptBox["x", "3"], "\[Rule]", "X3"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.655900243732088*^9, 3.655900300835297*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"568791742245072775824375691123806400000000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
      RowBox[{"22120000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3566063568109643805684107471543750", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], 
         "+", 
         RowBox[{"3829910656215569906228019769153963", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}]}]}], 
     ")"}], "/", "230425745267691158203090024928535550000"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"78881326126585320981732457270547750000000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
      RowBox[{"132739891531024998889965042633244359125000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], "+", 
      RowBox[{"4207440539010545601749593819995510037500", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}], "/", 
    "230425745267691158203090024928535550000"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"84717623715488406325763797293685661560000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
      RowBox[{"4207440539010545601749593819995510037500", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], "+", 
      RowBox[{"111235744283090122966919806633391802738174", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}], "/", 
    "230425745267691158203090024928535550000"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.6559002605561867`*^9, 3.655900271371567*^9}, 
   3.6559003015203238`*^9, 3.656062548273591*^9, 3.675790479431497*^9, 
   3.675790525653112*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dV1", " ", "=", " ", 
  RowBox[{
   RowBox[{"GV", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "*", 
   RowBox[{"flowExp", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6559002729335814`*^9, 3.6559002749142103`*^9}, 
   3.6559003175519457`*^9, {3.6559003822608347`*^9, 3.655900387781795*^9}, {
   3.656062533293496*^9, 3.656062534529031*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"568791742245072775824375691123806400000000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
      RowBox[{"22120000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3566063568109643805684107471543750", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], 
         "+", 
         RowBox[{"3829910656215569906228019769153963", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}]}]}], 
     ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"u", "-", 
      FractionBox[
       RowBox[{"5973067", " ", "X1"}], "10000"], "-", 
      FractionBox[
       RowBox[{"1076917", " ", "X2"}], "1250"], "+", 
      FractionBox[
       RowBox[{"1723067", " ", "X3"}], "10000"]}], ")"}]}], ")"}], "/", 
  "509701748532132841945235135141920636600000"}]], "Output",
 CellChangeTimes->{{3.6559002752744904`*^9, 3.655900303474918*^9}, 
   3.655900388273962*^9, 3.656062548313168*^9, 3.675790479486326*^9, 
   3.67579052568609*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dV2", " ", "=", " ", 
  RowBox[{
   RowBox[{"GV", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "*", 
   RowBox[{"flowExp", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.655900423857349*^9, 3.655900425317562*^9}, {
  3.6560625368740664`*^9, 3.65606253925193*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"78881326126585320981732457270547750000000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
      RowBox[{"132739891531024998889965042633244359125000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], "+", 
      RowBox[{"4207440539010545601749593819995510037500", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"X1", "-", "X3"}], ")"}]}], ")"}], "/", 
  "230425745267691158203090024928535550000"}]], "Output",
 CellChangeTimes->{3.65590042594092*^9, 3.656062548348988*^9, 
  3.675790479524802*^9, 3.675790525718342*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dV3", " ", "=", 
  RowBox[{
   RowBox[{"GV", "[", 
    RowBox[{"[", "3", "]"}], "]"}], "*", 
   RowBox[{"flowExp", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.655900472087387*^9, 3.655900474219367*^9}, {
  3.656062540739203*^9, 3.656062544585121*^9}, {3.6560625922159777`*^9, 
  3.656062592479555*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"84717623715488406325763797293685661560000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
      RowBox[{"4207440539010545601749593819995510037500", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], "+", 
      RowBox[{"111235744283090122966919806633391802738174", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"6223", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           RowBox[{
            FractionBox["3", "10"], " ", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "9"}], " ", "X3"}], "/", "10"}]]}]}], ")"}], " ", 
         "Wob"}], "40000"]}], "+", 
      FractionBox[
       RowBox[{"1723067", " ", "X1"}], "10000"], "+", 
      FractionBox[
       RowBox[{"1076917", " ", "X2"}], "1250"], "-", 
      FractionBox[
       RowBox[{"2223067", " ", "X3"}], "10000"]}], ")"}]}], ")"}], "/", 
  "108753992908843142398880758447515937826390"}]], "Output",
 CellChangeTimes->{
  3.655900474629435*^9, {3.656062545712853*^9, 3.656062548385347*^9}, 
   3.656062592969049*^9, 3.675790479559157*^9, 3.675790525748955*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"dV", " ", "=", " ", 
   RowBox[{"GV", ".", "flowExp"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6757910776290007`*^9, 3.675791096607004*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"invCondition", " ", "=", " ", 
  RowBox[{"Implies", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"V", "\[Equal]", "1400"}], ")"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["x", "1"], "\[Rule]", "X1"}], ",", " ", 
       RowBox[{
        SubscriptBox["x", "2"], "\[Rule]", "X2"}], ",", " ", 
       RowBox[{
        SubscriptBox["x", "3"], "\[Rule]", "X3"}]}], "}"}]}], ",", " ", 
    RowBox[{"dV", "<", "0"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.675790754279553*^9, 3.675790777904005*^9}, {
  3.675790851019959*^9, 3.6757908522496653`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"284395871122536387912187845561903200000000", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["3377", "760"]}], "+", "X1"}], ")"}], "2"]}], "+", 
      RowBox[{"66369945765512499444982521316622179562500", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}], "2"]}],
       "+", 
      RowBox[{"22120000", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X1"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3566063568109643805684107471543750", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], 
         "+", 
         RowBox[{"3829910656215569906228019769153963", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}]}], 
      "+", 
      RowBox[{"4207440539010545601749593819995510037500", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}], "+", 
      RowBox[{"55617872141545061483459903316695901369087", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["3377", "760"]}], "+", "X3"}], ")"}], "2"]}]}], ")"}], 
    "/", "230425745267691158203090024928535550000"}], "\[Equal]", "1400"}], 
  "\[Implies]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"84717623715488406325763797293685661560000", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
         RowBox[{"4207440539010545601749593819995510037500", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], 
         "+", 
         RowBox[{"111235744283090122966919806633391802738174", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"6223", " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox["1", "2"], "+", 
              RowBox[{
               FractionBox["3", "10"], " ", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "9"}], " ", "X3"}], "/", "10"}]]}]}], ")"}], 
            " ", "Wob"}], "40000"]}], "+", 
         FractionBox[
          RowBox[{"1723067", " ", "X1"}], "10000"], "+", 
         FractionBox[
          RowBox[{"1076917", " ", "X2"}], "1250"], "-", 
         FractionBox[
          RowBox[{"2223067", " ", "X3"}], "10000"]}], ")"}]}], ")"}], "/", 
     "108753992908843142398880758447515937826390"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"78881326126585320981732457270547750000000", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
         RowBox[{"132739891531024998889965042633244359125000", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], 
         "+", 
         RowBox[{"4207440539010545601749593819995510037500", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"X1", "-", "X3"}], ")"}]}], ")"}], "/", 
     "230425745267691158203090024928535550000"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"568791742245072775824375691123806400000000", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["3377", "760"]}], "+", "X1"}], ")"}]}], "+", 
         RowBox[{"22120000", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3566063568109643805684107471543750", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                FractionBox["390596875", "81845692"]}], "+", "X2"}], ")"}]}], 
            "+", 
            RowBox[{"3829910656215569906228019769153963", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                FractionBox["3377", "760"]}], "+", "X3"}], ")"}]}]}], 
           ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"u", "-", 
         FractionBox[
          RowBox[{"5973067", " ", "X1"}], "10000"], "-", 
         FractionBox[
          RowBox[{"1076917", " ", "X2"}], "1250"], "+", 
         FractionBox[
          RowBox[{"1723067", " ", "X3"}], "10000"]}], ")"}]}], ")"}], "/", 
     "509701748532132841945235135141920636600000"}]}], "<", "0"}]}]], "Output",\

 CellChangeTimes->{3.675790778488312*^9, 3.6757908529520597`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{"ForAll", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"X1", ",", "X2", ",", "X3"}], "}"}], ",", " ", "invCondition"}],
     "]"}], ",", "Reals"}], "]"}]], "Input",
 CellChangeTimes->{{3.656062553889296*^9, 3.656062628583996*^9}, 
   3.675790609049444*^9, {3.6757906535118217`*^9, 3.675790655414515*^9}, 
   3.675790752351907*^9, {3.675790784425869*^9, 3.6757907858744087`*^9}}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.656062766636097*^9, 3.6757904797152977`*^9, 
  3.675790600801787*^9, 3.6757907489122877`*^9, 3.675790840811348*^9, 
  3.675791053169735*^9}]
}, Open  ]]
},
WindowSize->{1366, 756},
WindowMargins->{{-2, Automatic}, {-5, Automatic}},
FrontEndVersion->"10.0 for Linux x86 (64-bit) (June 27, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 7729, 213, 517, "Input"],
Cell[8312, 237, 1254, 37, 71, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9603, 279, 2034, 58, 258, "Input"],
Cell[11640, 339, 2004, 58, 159, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13681, 402, 592, 18, 32, "Input"],
Cell[14276, 422, 2428, 66, 253, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16741, 493, 395, 9, 32, "Input"],
Cell[17139, 504, 1303, 37, 121, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18479, 546, 315, 8, 32, "Input"],
Cell[18797, 556, 924, 25, 84, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19758, 586, 360, 9, 32, "Input"],
Cell[20121, 597, 1598, 45, 162, "Output"]
}, Open  ]],
Cell[21734, 645, 177, 4, 89, "Input"],
Cell[CellGroupData[{
Cell[21936, 653, 632, 17, 32, "Input"],
Cell[22571, 672, 5613, 159, 502, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28221, 836, 446, 10, 32, "Input"],
Cell[28670, 848, 197, 3, 32, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
